<script setup lang="ts">
import { ref } from 'vue'
import { RouterLink } from 'vue-router'
import IconHome from '@/components/icons/IconHome.vue'
import IconCircle from '@/components/icons/IconCircle.vue'
import IconMenu from '@/components/icons/IconMenu.vue'

const showOptions = ref(false)
</script>

<template>
  <section class="general-container">
    <section class="sidebar">
      <nav>
        <div class="logo">
          <RouterLink class="router-link logo-link" to="/">Logo</RouterLink>
          <button @click="showOptions = !showOptions"><IconMenu /></button>
        </div>
        <section :class="showOptions ? 'options-general' : 'hide'">
          <ul>
            <li>
              <RouterLink class="router-link options" :to="{ name: 'home' }">
                <IconHome />Home</RouterLink
              >
            </li>
            <li>
              <RouterLink class="router-link options" :to="{ name: 'vista1' }"
                ><IconCircle />Vista 1</RouterLink
              >
            </li>
            <li>
              <RouterLink class="router-link options" :to="{ name: 'vista2' }"
                ><IconCircle />Vista 2</RouterLink
              >
            </li>
          </ul>
        </section>
      </nav>
    </section>
    <section class="content">
      <slot name="main"></slot>
    </section>
  </section>
</template>

<style scoped>
.logo {
  text-align: center;
  font-size: 1.4rem;
  margin: 20px 0;
}

.logo button {
  background-color: transparent;
  border: none;
  outline: none;
  cursor: pointer;
}
.logo .router-link {
  background-color: var(--color-4);
  display: block;
  padding: 10px 0;
  border-radius: 10px;
}

.sidebar {
  width: 300px;
  background-color: var(--color-2);
  padding: 0 20px;
}

.content {
  width: 100%;
  padding: 0 20px;
}

ul {
  display: flex;
  flex-direction: column;
  list-style: none;
}

.options:hover {
  background-color: var(--color-4);
}

.router-link {
  text-decoration: none;
  color: var(--color-6);
}

.options {
  padding: 10px;
  display: flex;
  align-items: center;
  gap: 10px;
  border-radius: 10px;
  font-size: 1.2rem;
}

@media screen and (max-width: 900px) {
  .sidebar {
    width: 100%;
  }

  .options-general {
    position: absolute;
    left: 0;
    background-color: var(--color-2);
    width: 100%;
    z-index: 20;
    padding-bottom: 20px;
  }

  .hide {
    display: none;
  }

  .logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .logo-link {
    width: 40%;
  }
}
</style>
